
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set("roscontrol_sot_DOXYGENDOCDIR" "${PACKAGE_PREFIX_DIR}/share/doc/roscontrol_sot/doxygen-html")
set("ROSCONTROL_SOT_DOXYGENDOCDIR" "${PACKAGE_PREFIX_DIR}/share/doc/roscontrol_sot/doxygen-html")
set("roscontrol_sot_DEPENDENCIES" "dynamic-graph-python;dynamic_graph_bridge;sot-core;pinocchio;control_toolbox")
set("roscontrol_sot_PKG_CONFIG_DEPENDENCIES" "bullet; urdfdom; eigen3; dynamic-graph;  eigen3; eigen3; dynamic-graph;  eigen3; eigen3; eigen3 >= 3.0.5; urdfdom >= 0.2.0; hpp-fcl >= 1.4.0; dynamic-graph;  eigen3;  pinocchio;  eigen3 >= 3.0.5;  urdfdom >= 0.2.0;  hpp-fcl >= 1.4.0; dynamic-graph-python; eigen3; dynamic-graph; sot-core; eigen3 >= 3.0.5; urdfdom >= 0.2.0; hpp-fcl >= 1.4.0; pinocchio; dynamic_graph_bridge_msgs; eigen3; eigen3 >= 3.0.5; urdfdom >= 0.2.0; hpp-fcl >= 1.4.0; dynamic-graph;  eigen3;  pinocchio;  eigen3 >= 3.0.5;  urdfdom >= 0.2.0;  hpp-fcl >= 1.4.0; eigen3 >= 3.0.5; urdfdom >= 0.2.0; hpp-fcl >= 1.4.0")

include(CMakeFindDependencyMacro)
find_package(dynamic-graph-python REQUIRED)
find_package(dynamic_graph_bridge REQUIRED)
find_package(sot-core REQUIRED)
find_package(pinocchio REQUIRED)
find_package(control_toolbox REQUIRED)

IF(COMMAND ADD_REQUIRED_DEPENDENCY)
  FOREACH(pkgcfg_dep ${roscontrol_sot_PKG_CONFIG_DEPENDENCIES})
    ADD_REQUIRED_DEPENDENCY(${pkgcfg_dep})
  ENDFOREACH()
ENDIF(COMMAND ADD_REQUIRED_DEPENDENCY)

include("${CMAKE_CURRENT_LIST_DIR}/roscontrol_sotTargets.cmake")
check_required_components("roscontrol_sot")


